package com.zjrs.ggfw.portal.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.portal.dto.*;
import com.zjrs.ggfw.portal.po.ZfzttzPO;

public interface EMSBPO {
    void order();

    void initOrder(OrderDTO dto);

    AjaxResponse getWlxx(EMSORderXxDTO dto);

    void getZfZtTz(ZfzttzPO po);

    PageResult queryWlList(SxblQueryDTO dto);

    AjaxResponse queryOrderXx(EMSORderXxDTO dto);

    AjaxResponse getOrderStatus(EMSORderXxDTO dto);

    void saveWxxcxZftz(String params);

    AjaxResponse doUnifiedOrder(XcxPayDTO dto);
}
